Name: esvn
Summary: eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system.
Version: 0.5.5
Release: 1
Source: http://esvn.umputun.com/%{name}-%{version}-%{release}.tar.gz
Group: System Tools/Editors
URL: http://esvn.umputun.com/
BuildRoot: %{_tmppath}/%{name}-%{release}-buildroot
License: GPL
Packager: Michael Lang <Michael.Lang@chester.at>
Requires: qt3-devel, qt3

%description
eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system.

Author:
-------
Eugene Bort <esvn@umputun.com>


%prep
rm -rf %{buildroot}

%setup -qn %{name}

%build
make 

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/pixmaps
mkdir -p %{buildroot}/usr/share/applications
install -m755 esvn %{buildroot}/usr/bin/esvn
install -m755 esvn-diff-wrapper %{buildroot}/usr/bin/esvn-diff-wrapper
install -m644 esvn.png %{buildroot}/usr/share/pixmaps/esvn.png
install -m644 eSvn.desktop %{buildroot}/usr/share/applications/eSvn.desktop

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}-%{release}

%post

%preun

%files
%defattr(-,root,root,0755)
/usr/bin/esvn
/usr/bin/esvn-diff-wrapper
/usr/share/pixmaps/esvn.png
/usr/share/applications/eSvn.desktop
%doc AUTHORS  COPYING LICENSE  README  VERSION  ChangeLog


%changelog

